A valid request URL is required to generate request examples{
"id": "<string>",
"object": "<string>",
"container_id": "<string>",
"path": "<string>",
"bytes": 123,
"created_at": 123,
"source": "<string>",
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Create file in container (OpenAI format)
Creates a new file in a container. You can either upload file content directly via multipart/form-data or reference an existing file by its ID.
Note: This endpoint also works without the /v1 prefix (e.g., /openai/containers/{container_id}/files).
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "<string>",
"container_id": "<string>",
"path": "<string>",
"bytes": 123,
"created_at": 123,
"source": "<string>",
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Authorizations
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
Path Parameters
Container ID
Query Parameters
Provider for the container (defaults to openai)
Body
Response
Successful response
Response from creating a file in a container
The unique identifier for the created file
The object type (always "container.file")
The ID of the container this file belongs to
The path of the file within the container
The size of the file in bytes
Unix timestamp of when the file was created
The source of the file
Additional fields included in responses
Show child attributes
Show child attributes
Was this page helpful?

